local UUID_FAR3QVEX = "B230D97F-D1BB-4073-BCE9-7B6F2DBFFBC2"

local function TryClose()
	if panel.GetPanelInfo(nil, 1).OwnerGuid == win.Uuid(UUID_FAR3QVEX) then
		panel.ClosePanel(nil, nil)
		return true
	end

	if panel.GetPanelInfo(nil, 0).OwnerGuid == win.Uuid(UUID_FAR3QVEX) then
		panel.SetActivePanel (nil, 0)
		panel.ClosePanel(nil, nil)
		panel.SetActivePanel (nil, 0)
		return true
	end

	return false
end

Macro {
	area="Shell";
	key="CtrlShiftQ";
	flags="";
	description="far3qvex";

	action = function()
		if TryClose() then
			return
		end

		panel.SetActivePanel (nil, 0)
		Plugin.Menu(UUID_FAR3QVEX, 1)
		panel.SetActivePanel (nil, 0)
	end;
}

Macro {
	area="Shell";
	key="CtrlQ";
	flags="";
	description="";

	action = function()
		if TryClose() then
			return
		end

		Keys('CtrlQ')
	end;
}
